Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.event
Class GroupEventDispatcher

    java.lang.Object
      org.jivesoftware.openfire.event.GroupEventDispatcher

    public class GroupEventDispatcher

extends Object

Dispatches group events. Each event has a `type` and optional parameters, as follows:

Event Type | Extra Params
--- | ---
`group_created` | None
`group_deleting` | None
`member_added` | A param named `member` with a String username as a payload
`member_removed` | A param named `member` with a String username as a payload
`admin_added` | A param named `admin` with a String username as a payload
`admin_removed` | A param named `admin` with a String username as a payload
`group_modified` |
Reason | Key | Value
Name modified
| type | nameModified
| originalValue | (Name before it was modified)
Description modified
| type | descriptionModified
| originalValue | (Description before it was modified)
Property modified
| type | propertyModified
| propertyKey | (Name of the property)
| originalValue | (Property value before it was modified)
Property added
| type | propertyAdded
| propertyKey | (Name of the new property)
Property deleted
| type | propertyDeleted
| propertyKey | (Name of the property deleted)

Author:
  Matt Tucker

Nested Class Summary
`static class` | `GroupEventDispatcher.EventType` Represents valid event types.

Method Summary
`static void` | `addListener(GroupEventListener listener)` Registers a listener to receive events.
`static void` | `dispatchEvent(Group group, GroupEventDispatcher.EventType eventType, Map params)` Dispatches an event to all listeners.
`static void` | `removeListener(GroupEventListener listener)` Unregisters a listener to receive events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addListener

    public static void addListener(GroupEventListener listener)

  Registers a listener to receive events.

  Parameters:
    `listener` - the listener.

### removeListener

    public static void removeListener(GroupEventListener listener)

  Unregisters a listener to receive events.

  Parameters:
    `listener` - the listener.

### dispatchEvent

    public static void dispatchEvent(Group group,
                                     GroupEventDispatcher.EventType eventType,
                                     Map params)

  Dispatches an event to all listeners.

  Parameters:
    `group` - the group.
    `eventType` - the event type.
    `params` - event parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.